Echo off
Echo._______________________________________________________________
Echo.
Echo.          欢迎使用 MicroDraw 图形控件
Echo.         正在注册控件(必须以管理员身份运行)....
Echo.
Echo. 说明此批命令同时支持32位和64位下注册，在32位（xp，win7)下，调用
Echo. regsvr32注册， 在64位（win7，win8）下;需要调用 system32/regsvr32.exe
Echo. syswow64/regsvr32.exe 分别注册。
Echo.________________________________________________________________
Echo.
Echo.   http://www.microdraw.com
Echo.   email: support@microdraw.com
Echo.________________________________________________________________

Rem ---如果是32位直接到X32注册
if /i "%PROCESSOR_IDENTIFIER:~0,3%" == "X86" goto X32

Rem -----------------------------------------------------------------
Rem echo 当前盘符：%~d0
Rem echo 当前盘符和路径：%~dp0
Rem echo 当前批处理全路径：%~f0
Rem echo 当前盘符和路径的短文件名格式：%~sdp0
Rem echo 当前CMD默认目录：%cd%

%~d0
cd %~dp0
Rem ----------以上保证以管理员身份运行---------------------------------


Rem -----------------------------------------------------------------
Rem  
Rem 用system32下面的regsvr32注册64位控件，如果不想弹出注册成功对话框，
Rem 需要加 /s 选项
Rem ----------------------------------------------------------------

if not exist %~dp0microdraw\x64\microdrawocx.ocx goto REG32_IN_WIN64
Echo.注册64位控件
cd microdraw
cd x64
path = %~dp0microdraw\x64;%PATH%
%systemroot%\system32\regsvr32 microdrawocx.ocx

if exist %~dp0microdraw\x64\mdrawlib.ocx  %systemroot%\system32\regsvr32 mdrawlib.ocx
cd ..

Rem -----------------------------------------------------------------
Rem  
Rem 用syswow64下的regsvr32注册32位控件；如果不想弹出注册成功对话框，
Rem 需要加 /s 选项
Rem 
Rem ----------------------------------------------------------------

:REG32_IN_WIN64
Echo.注册32位控件

path = %~dp0microdraw;%PATH%
%systemroot%\syswow64\regsvr32 microdrawocx.ocx 
if exist %~dp0microdraw\mdrawlib.ocx   %systemroot%\syswow64\regsvr32 mdrawlib.ocx

exit

:X32
cd microdraw
path = %~dp0microdraw;%PATH%
regsvr32 microdrawocx.ocx
exit